https://wikimedia.biterg.io shows 2017 contributors who are not listed in mediawiki-identities/wikimedia-affiliations.json
Closed, DuplicatePublic

Description

  1. Go to https://wikimedia.biterg.io:443/goto/d96f5fde5be1c2419ad9f39f7cd3bae2 which lists Git contributions by Austin McKinley (in the phabricator/phabricator repository which should be blacklisted anyway but that's not the point here).
  2. Open git revision 49a58d1f829cfcc4a8bfd804370ed07c7220e320 (March 23) of https://github.com/Bitergia/mediawiki-identities/blob/master/wikimedia-affiliations.json
  3. Realize there is no such name in the JSON file.

https://wikimedia.biterg.io:443/goto/70878d9e43e9fd6a57954fa2127918f5 shows that the person has contributed once on 2017-02-13.
So we either miss data somewhere, or things are out of sync?

Aklapper created this task.Mar 23 2017, 6:39 PM
Aklapper renamed this task from https://wikimedia.biterg.io shows a contributor who is not listed in mediawiki-identities/wikimedia-affiliations.json to https://wikimedia.biterg.io shows contributors who are not listed in mediawiki-identities/wikimedia-affiliations.json.Mar 23 2017, 6:43 PM
Aklapper renamed this task from https://wikimedia.biterg.io shows contributors who are not listed in mediawiki-identities/wikimedia-affiliations.json to https://wikimedia.biterg.io shows 2017 contributors who are not listed in mediawiki-identities/wikimedia-affiliations.json.Mar 24 2017, 2:16 PM
Aklapper triaged this task as High priority.Mar 24 2017, 2:16 PM
Aklapper moved this task from Backlog to Ready to Go on the Analytics-Tech-community-metrics board.

According to Bitergia, T157898 and T161235 (and to some extent T157709 though half of that is T161308) are side effects of an older version as the DB is not synced in an automatic way. This should get fixed within the next 2-3 weeks.

Qgil added a subscriber: Qgil.Apr 19 2017, 3:16 PM

This task committed to Developer-Relations (Apr-Jun 2017) needs an owner.

Qgil assigned this task to Albertinisg.Apr 27 2017, 8:15 PM
Qgil moved this task from Backlog to Ready to Go on the Developer-Relations (Apr-Jun 2017) board.